Subject: bug#14044: 24.2; Emacs 24 and dead keys in Fedora 18

From: Tassilo Horn <[email-masked]>
Date: Fri, 26 Apr 2013 12:15:46 +0200

Andreas Schwab <[email-masked]> writes:

>> I also can't insert ` anymore, except with `M-x ucs-insert GRAVE
>> ACCENT RET'.  Typing ` (which is AltGr+< on my German Dvorak layout)
>> messages just
>>
>>   <dead-grave> is undefined
>
> Your keyboard is misconfigured.

Any hints how to diagnose the problem?  I don't have any custom
configurations for the X server at all, except this one:

,----[ /etc/X11/xorg.conf.d/99-my-keyboard.conf ]
| Section "InputClass"
|     Identifier "Default Keyboard"
|     MatchIsKeyboard  "on"
|     Driver "evdev"
| 
|     Option "XkbLayout"  "de"
|     Option "XkbVariant" "dvorak"
|     Option "XkbModel"   "evdev"
|     Option "XkbRules"   "evdev"
|     Option "XKbOptions" "ctrl:nocaps"
| EndSection
`----

I haven't touched that file for years, and as said, it used to work.

> Your X server should have a compose rule that composes the dead_grave
> keysym with the following key, so that Emacs doesn't see the
> dead_grave keysym at all (provided the composition was sucessful).  At
> the very least the sequence <dead_grave> <space> or <dead_grave>
> <dead_grave> should produce the <grave> keysym.

Hm, what's happening is actually quite different depending on
application.

- Any GNOME3 GTK+3 application, or GTK+2 applications like GIMP: I can
  insert a ` by typing AltGr+< twice, or AltGr+< SPACE.

- Qt4 apps: Typing just AltGr+< immediately inserts a `, so no
  composition here.

- xterm: I can't insert ` at all.  Typing AltGr+< twice or AltGr+< SPACE
  seems to be ignored.

Like with Emacs, I can "fix" xterm by simply starting it from a GNOME
terminal.  Then typing AltGr+< has the same composing behavior as in
GNOME3 applications.

Oh, interestingly, I can also make Qt4 apps using the composing behavior
by starting them from a gnome-terminal...

Bye,
Tassilo